import java.util.HashMap;
import java.util.Date;

public class KursnaLista
{
    private HashMap<String, Kurs> kursnaLista;
    private Date naDan;
    
    public KursnaLista(){
        kursnaLista = new HashMap<>();
        naDan = new Date();
    }
    
    public KursnaLista azuriraj(String valuta, double kupovni, double prodajni, double srednji){
        kursnaLista.put(valuta, new Kurs(valuta, prodajni, kupovni, srednji));
        naDan = new Date();
        return this;
    }
    
    public Kurs kurs(String valuta) {return kursnaLista.get(valuta);}
    
    // opsti prolazak kroz mapu
    public void info(){
        System.out.println("Kursna lista na dan " + naDan);
        for(String valuta : kursnaLista.keySet()){
            kursnaLista.get(valuta).info();
        }
    }
    
    // samo po vrednostima
    public void info1(){
        System.out.println("Kursna lista na dan " + naDan);
        for(Kurs k : kursnaLista.values()){
            k.info();
        }
    }
    
    public static void test() {
        KursnaLista kl = new KursnaLista();
        kl.azuriraj("usd", 95, 98, 97.5).azuriraj("eur", 117, 118, 117.5);   
        kl.info1();
    }
}
